searchNodes=[{"doc":"Module representing a WebRTC connection.","ref":"Membrane.WebRTC.Endpoint.html","title":"Membrane.WebRTC.Endpoint","type":"module"},{"doc":"","ref":"Membrane.WebRTC.Endpoint.html#get_audio_tracks/1","title":"Membrane.WebRTC.Endpoint.get_audio_tracks/1","type":"function"},{"doc":"","ref":"Membrane.WebRTC.Endpoint.html#get_context/1","title":"Membrane.WebRTC.Endpoint.get_context/1","type":"function"},{"doc":"","ref":"Membrane.WebRTC.Endpoint.html#get_track_by_id/2","title":"Membrane.WebRTC.Endpoint.get_track_by_id/2","type":"function"},{"doc":"","ref":"Membrane.WebRTC.Endpoint.html#get_tracks/1","title":"Membrane.WebRTC.Endpoint.get_tracks/1","type":"function"},{"doc":"","ref":"Membrane.WebRTC.Endpoint.html#get_video_tracks/1","title":"Membrane.WebRTC.Endpoint.get_video_tracks/1","type":"function"},{"doc":"","ref":"Membrane.WebRTC.Endpoint.html#new/4","title":"Membrane.WebRTC.Endpoint.new/4","type":"function"},{"doc":"","ref":"Membrane.WebRTC.Endpoint.html#put_context/2","title":"Membrane.WebRTC.Endpoint.put_context/2","type":"function"},{"doc":"","ref":"Membrane.WebRTC.Endpoint.html#update_track_encoding/3","title":"Membrane.WebRTC.Endpoint.update_track_encoding/3","type":"function"},{"doc":"","ref":"Membrane.WebRTC.Endpoint.html#t:id/0","title":"Membrane.WebRTC.Endpoint.id/0","type":"type"},{"doc":"","ref":"Membrane.WebRTC.Endpoint.html#t:t/0","title":"Membrane.WebRTC.Endpoint.t/0","type":"type"},{"doc":"","ref":"Membrane.WebRTC.Endpoint.html#t:type/0","title":"Membrane.WebRTC.Endpoint.type/0","type":"type"},{"doc":"Module responsible for interacting with a WebRTC peer. To send or receive tracks from a WebRTC peer, specify them with :inbound_tracks and :outbound_tracks options, and link corresponding :input and :output pads with ids matching the declared tracks' ids. The tracks can be manipulated by sending track_message/0 . To initiate or modify the connection, the bin sends and expects to receive signal_message/0 . Bin options Passed via struct Membrane.WebRTC.EndpointBin.t/0 inbound_tracks [ Membrane.WebRTC.Track . t ( ) ] Default value: [] List of initial inbound tracks outbound_tracks [ Membrane.WebRTC.Track . t ( ) ] Default value: [] List of initial outbound tracks stun_servers [ ExLibnice . stun_server ( ) ] Default value: [] List of stun servers turn_servers [ ExLibnice . relay_info ( ) ] Default value: [] List of turn servers port_range Range . t ( ) Default value: 0..0 Port range to be used by Membrane.ICE.Bin handshake_opts Keyword . t ( ) Default value: [] Keyword list with options for handshake module. For more information please refer to Membrane.ICE.Bin video_codecs [ ExSDP.Attribute . t ( ) ] Default value: [] Video codecs that will be passed for SDP offer generation audio_codecs [ ExSDP.Attribute . t ( ) ] Default value: [] Audio codecs that will be passed for SDP offer generation use_default_codecs [ :audio | :video ] Default value: [:audio, :video] Defines whether to use default codecs or not. Default codecs are those required by WebRTC standard - OPUS, VP8 and H264 log_metadata :list Default value: [] Logger metadata used for endpoint bin and all its descendants Pads :input Availability :on_request Caps :any Demand unit :buffers Direction :input Mode :pull Name :input Options: encoding :OPUS | :H264 Required Track encoding track_enabled boolean ( ) Default value: true Enable or disable track :output Availability :on_request Caps :any Demand unit :buffers Direction :output Mode :pull Name :output Options: track_enabled boolean ( ) Default value: true Enable or disable track packet_filters [ Membrane.RTP.SessionBin . packet_filter_t ( ) ] Default value: [] List of packet filters that will be applied to the SessionBin's output pad extensions [ Membrane.RTP.SessionBin . extension_t ( ) ] Default value: [] List of tuples representing rtp extensions","ref":"Membrane.WebRTC.EndpointBin.html","title":"Membrane.WebRTC.EndpointBin","type":"module"},{"doc":"Returns pads descriptions for Membrane.WebRTC.EndpointBin","ref":"Membrane.WebRTC.EndpointBin.html#membrane_pads/0","title":"Membrane.WebRTC.EndpointBin.membrane_pads/0","type":"function"},{"doc":"Returns description of options available for this module","ref":"Membrane.WebRTC.EndpointBin.html#options/0","title":"Membrane.WebRTC.EndpointBin.options/0","type":"function"},{"doc":"Message that adds or removes tracks.","ref":"Membrane.WebRTC.EndpointBin.html#t:alter_tracks_message/0","title":"Membrane.WebRTC.EndpointBin.alter_tracks_message/0","type":"type"},{"doc":"Message that disables track.","ref":"Membrane.WebRTC.EndpointBin.html#t:disable_track_message/0","title":"Membrane.WebRTC.EndpointBin.disable_track_message/0","type":"type"},{"doc":"Message that enables track.","ref":"Membrane.WebRTC.EndpointBin.html#t:enable_track_message/0","title":"Membrane.WebRTC.EndpointBin.enable_track_message/0","type":"type"},{"doc":"Options for pad :input","ref":"Membrane.WebRTC.EndpointBin.html#t:input_pad_opts_t/0","title":"Membrane.WebRTC.EndpointBin.input_pad_opts_t/0","type":"type"},{"doc":"Options for pad :output","ref":"Membrane.WebRTC.EndpointBin.html#t:output_pad_opts_t/0","title":"Membrane.WebRTC.EndpointBin.output_pad_opts_t/0","type":"type"},{"doc":"","ref":"Membrane.WebRTC.EndpointBin.html#t:signal_message/0","title":"Membrane.WebRTC.EndpointBin.signal_message/0","type":"type"},{"doc":"Struct containing options for Membrane.WebRTC.EndpointBin","ref":"Membrane.WebRTC.EndpointBin.html#t:t/0","title":"Membrane.WebRTC.EndpointBin.t/0","type":"type"},{"doc":"","ref":"Membrane.WebRTC.EndpointBin.html#t:track_message/0","title":"Membrane.WebRTC.EndpointBin.track_message/0","type":"type"},{"doc":"Module containing helper functions for creating SPD offer.","ref":"Membrane.WebRTC.SDP.html","title":"Membrane.WebRTC.SDP","type":"module"},{"doc":"Creates Unified Plan SDP offer. The mandatory options are: ice_ufrag - ICE username fragment ice_pwd - ICE password fingerprint - DTLS fingerprint inbound_tracks - list of inbound tracks outbound_tracks - list of outbound tracks Additionally accepts audio_codecs and video_codecs options, that should contain lists of SDP attributes for desired codecs, for example: video_codecs : [ % RTPMapping { payload_type : 98 , encoding : &quot;VP9&quot; , clock_rate : 90_000 } ] By default both lists are empty and default audio and video codecs get appended including OPUS for audio, H264 and VP8 for video. To disable all or enable just one specific codec type use use_default_codecs option. To disable default codecs pass an empty list. To enable only either audio or video, pass a list with a single atom [:audio] or [:video] .","ref":"Membrane.WebRTC.SDP.html#create_offer/1","title":"Membrane.WebRTC.SDP.create_offer/1","type":"function"},{"doc":"","ref":"Membrane.WebRTC.SDP.html#t:fingerprint/0","title":"Membrane.WebRTC.SDP.fingerprint/0","type":"type"},{"doc":"Module representing a WebRTC track.","ref":"Membrane.WebRTC.Track.html","title":"Membrane.WebRTC.Track","type":"module"},{"doc":"Given a list of new tracks and a list of already added tracks, adds ssrcs to the new tracks.","ref":"Membrane.WebRTC.Track.html#add_ssrc/2","title":"Membrane.WebRTC.Track.add_ssrc/2","type":"function"},{"doc":"Creates a new track. Tracks belonging to the same stream should have the same stream_id , that can be generated with stream_id/0 .","ref":"Membrane.WebRTC.Track.html#new/3","title":"Membrane.WebRTC.Track.new/3","type":"function"},{"doc":"Generates stream id, that can be used to mark tracks belonging to the same stream.","ref":"Membrane.WebRTC.Track.html#stream_id/0","title":"Membrane.WebRTC.Track.stream_id/0","type":"function"},{"doc":"","ref":"Membrane.WebRTC.Track.html#t:encoding/0","title":"Membrane.WebRTC.Track.encoding/0","type":"type"},{"doc":"","ref":"Membrane.WebRTC.Track.html#t:id/0","title":"Membrane.WebRTC.Track.id/0","type":"type"},{"doc":"","ref":"Membrane.WebRTC.Track.html#t:t/0","title":"Membrane.WebRTC.Track.t/0","type":"type"},{"doc":"Allows for disabling and enabling track. Sending :disable_track causes all packets are ignored. Sending :enable_track causes all packets are conveyed to the filter output pad. By default track is enabled. Element options Passed via struct Membrane.WebRTC.TrackFilter.t/0 enabled boolean ( ) Default value: true Enable or disable track Pads :input Availability :always Caps :any Demand unit :buffers Direction :input Mode :pull Name :input :output Availability :always Caps :any Direction :output Mode :pull Name :output","ref":"Membrane.WebRTC.TrackFilter.html","title":"Membrane.WebRTC.TrackFilter","type":"module"},{"doc":"Returns pads descriptions for Membrane.WebRTC.TrackFilter","ref":"Membrane.WebRTC.TrackFilter.html#membrane_pads/0","title":"Membrane.WebRTC.TrackFilter.membrane_pads/0","type":"function"},{"doc":"Returns description of options available for this module","ref":"Membrane.WebRTC.TrackFilter.html#options/0","title":"Membrane.WebRTC.TrackFilter.options/0","type":"function"},{"doc":"Struct containing options for Membrane.WebRTC.TrackFilter","ref":"Membrane.WebRTC.TrackFilter.html#t:t/0","title":"Membrane.WebRTC.TrackFilter.t/0","type":"type"},{"doc":"Membrane WebRTC plugin Plugin for sending and receiving media with WebRTC. It is part of Membrane Multimedia Framework .","ref":"readme.html","title":"Membrane WebRTC plugin","type":"extras"},{"doc":"The package can be installed by adding membrane_webrtc_plugin to your list of dependencies in mix.exs : def deps do [ { :membrane_webrtc_plugin , &quot;~&gt; 0.1.0-alpha.1&quot; } ] end","ref":"readme.html#installation","title":"Membrane WebRTC plugin - Installation","type":"extras"},{"doc":"TODO","ref":"readme.html#usage","title":"Membrane WebRTC plugin - Usage","type":"extras"},{"doc":"Copyright 2020, Software Mansion Licensed under the Apache License, Version 2.0","ref":"readme.html#copyright-and-license","title":"Membrane WebRTC plugin - Copyright and License","type":"extras"},{"doc":"Apache License Version 2.0, January 2004 http://www.apache.org/licenses/ TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION 1. Definitions. &quot;License&quot; shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document. &quot;Licensor&quot; shall mean the copyright owner or entity authorized by the copyright owner that is granting the License. &quot;Legal Entity&quot; shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, &quot;control&quot; means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity. &quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity exercising permissions granted by this License. &quot;Source&quot; form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files. &quot;Object&quot; form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types. &quot;Work&quot; shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below). &quot;Derivative Works&quot; shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof. &quot;Contribution&quot; shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, &quot;submitted&quot; means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as &quot;Not a Contribution.&quot; &quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work. 2. Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form. 3. Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed. 4. Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions: (a) You must give any other recipients of the Work or Derivative Works a copy of this License; and (b) You must cause any modified files to carry prominent notices stating that You changed the files; and (c) You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and (d) If the Work includes a &quot;NOTICE&quot; text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be construed as modifying the License. You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License. 5. Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions. 6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file. 7. Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License. 8. Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages. 9. Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability. END OF TERMS AND CONDITIONS APPENDIX: How to apply the Apache License to your work. To apply the Apache License to your work, attach the following boilerplate notice, with the fields enclosed by brackets &quot;[]&quot; replaced with your own identifying information. (Don't include the brackets!) The text should be enclosed in the appropriate comment syntax for the file format. We also recommend that a file or class name and description of purpose be included on the same &quot;printed page&quot; as the copyright notice for easier identification within third-party archives. Copyright 2020 Software Mansion Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"license.html","title":"LICENSE","type":"extras"}]